Primer for HashMaker

Primer for HashMaker v0.0.0.0

Until I have time to write proper documentation, this will serve to get beta-testers started with this product.

HashMaker's primary purpose is to create .SFV (CRC32 File Verification) files for files in multiple directories. HashMaker can, for example, read 10 directories containing data, and create a .SFV file in each directory for the files contained within that directory.

HashMaker was developed solely for use by the author and is not truly a "release" product. Therefore it lacks features the author considers important in a release product such as:

  • Multithreaded user-interface. Because the user-interface and worker operations are contained in the same thread, the HashMaker user-interface "freezes" when performing worker operations like calculating CRC32s.
  • Saving options to registry. No options will be saved between HashMaker sessions.

Why create another SFV creation utility?
Adding files to the file list
Clearing some or all of the files from the file list
Options
 Other Notes

Why create another SFV creation utility?

None of the available utilities were adept at creating multiple .SFV files over many directories. This is the primary focus of HashMaker. Through manipulation of some of its options, a wide variety of possibilities are available.

Adding files to the file list

From Windows Explorer, select one or more files or directories and "drag-and-drop" them onto BR's main file list. If a directory is dropped, BR will recurse into the directory as many levels as are available.

Clearing some or all of the files from the file list

Several Bitspring software products use an innovative system for clearing some or all of the entries in a file list. When the mouse pointer is over the file list, holding down the right mouse button changes the cursor. Moving the cursor up causes all files in the file list to be removed. Moving the cursor down causes only those files that are selected to be removed.

Options

  • Recurse into directories: When if directories are dragged into the file list box, this will enter those directories (and any sub-directories) and add all files contained therein.
  • Show full path: This purely cosmetic feature determines if the full path, or just the file name, of files in the file list box are displayed
  • Mark hashfiles as read-only: If enabled, the .SFV files are created with the Read-Only flag turned on.
  • Automatically overwrite: If enabled, when creating a .SFV file, if one already exists by the same name in the intended location, it will automatically overwrite the file without prompting the user.
  • Create in parent X level(s) up: [Advanced Feature] By default, HashMaker creates the .SFV files in the directory containing the files for which it "knows" the CRC32s. This feature, causes the .SFV to be created in a directory farther up the parent directory chain.
  • Use parent directory name [No other option, currently] This indicates that HashMaker should name the .SFV file according to the name of the directory containing the files.
  • Prefix with exclamation point: If enabled, the .SFV file will prefix the file name with an exclamation point (!). This should keep it at the top of the directory listing.
  • Append X: Any text in this edit box will be appended to the end of the file name (before the file extension).
  • Ignore Filters: This is a semicolon (;) separated list of wildcard filters. Any files meeting the Ignore Filters criteria will not be included in the .SFV file.
  • Create Hashfiles: When pressed, HashMaker will commence creating the .SFV file(s). When complete, HashMaker will continue to run. (After being pressed, this button becomes the default operation and the Enter key may be pressed anywhere in HashMaker to "repress" this button.
  • Create Hashfiles & Exit: When pressed, HashMaker will commence creating the .SFV file(s). When complete, HashMaker will close.

Other Notes

None at this time.